from functions.verify_certificate import verify_certificate
import json

filename = "test_2025"

with open("config.json", "r") as fid:
    config_json = json.load(fid)

with open(f"{filename}.pem", "r") as file:
    ldap_pem = file.read()

cert_data = ldap_pem.encode()

(
    certificate_status,
    certificate_error,
    certificate_emails,
    certificate_name,
    certificate_given_name,
    certificate_surname,
) = verify_certificate(
    cert_data=cert_data,
    ca_chain_path=config_json["ca_chain"],
    correct_organization=config_json["correct_organization"],
)

print("certificate_status: ", certificate_status)
print("certificate_error: ", certificate_error)
print("certificate_emails: ", certificate_emails)
print("certificate_name: ", certificate_name)
print("certificate_given_name: ", certificate_given_name)
print("certificate_surname: ", certificate_surname)
